<bugID>1042825<Summary>Pressing undo twice after loading a file clears out the content</Summary><Description>STR:
1) Open a file in the project editor (say, styles.css here: chrome://browser/content/devtools/projecteditor-loader.xul)
2) Undo twice

Expected
Nothing happens when undoing (the file just loaded and you haven't made any changes)

Actual
The contents of the editor is cleared out

There is a clearHistory provided by the Editor object, so it may just be as simple as calling that after calling setText in editor.load</Description></bugID>